## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check

%global crate copydeps

Name:           rust-%{crate}
Version:        5.0.1
Release:        %autorelease
Summary:        Find and copy all the .so / .dll files needed by an executable

# Upstream license specification: GPL-3.0-or-later
License:        GPLv3+
URL:            https://crates.io/crates/copydeps
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Find and copy all the .so / .dll files needed by an executable.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# GPLv3+
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
License:        GPLv3+ and MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENCE.txt
%doc README.md
%{_bindir}/copydeps
%{_mandir}/man1/%{crate}.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{crate}

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -m 644 -Dp misc/%{crate}.man %{buildroot}%{_mandir}/man1/%{crate}.1
install -m 644 -Dp misc/%{crate}.bash-completion %{buildroot}%{_datadir}/bash-completion/completions/%{crate}

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> 5.0.1-1
- Update to version 5.0.1; Fixes RHBZ#2096131

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.0.0-6
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Oct 19 2020 Artur Frenszek-Iwicki <fedora@svgames.pl - 5.0.0-2
- Rebuild after previous build was un-tagged

* Mon Jul 20 2020 Artur Iwicki <fedora@svgames.pl> - 5.0.0-1
- Update to upstream version 5.0.0, rewritten in Rust

* Thu Jun 25 2020 Artur Iwicki <fedora@svgames.pl> - 4.0-5
- Add an explicit BuildRequires on python3-setuptools

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 4.0-4
- Rebuilt for Python 3.9

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 4.0-2
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Thu Aug 08 2019 Artur Iwicki <fedora@svgames.pl> - 4.0-1
- Initial packaging

